Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class NotYetInitializedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  weblogic.utils.NestedRuntimeException
                      weblogic.security.service.SecurityServiceRuntimeException
                          weblogic.security.service.NotYetInitializedException

All Implemented Interfaces:
  Serializable, weblogic.utils.NestedThrowable

    public class NotYetInitializedException

extends SecurityServiceRuntimeException

The `NotYetInitializedException` exception is thrown if an attempt is made to access an uninitialized security service provided by the WebLogic Security Framework.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Constructor Summary
`NotYetInitializedException()` Constructs a `NotYetInitializedException` with no arguments.
`NotYetInitializedException(String msg)` Constructs a `NotYetInitializedException` with the specified detail message.
`NotYetInitializedException(String msg, Throwable nested)` Constructs a `NotYetInitializedException` with a detail message and a nested exception.
`NotYetInitializedException(Throwable nested)` Constructs a `NotYetInitializedException` with a nested exception.

Method Summary

Methods inherited from class weblogic.utils.NestedRuntimeException
`getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotYetInitializedException

    public NotYetInitializedException()

  Constructs a `NotYetInitializedException` with no arguments.

### NotYetInitializedException

    public NotYetInitializedException(String msg)

  Constructs a `NotYetInitializedException` with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `msg` - a String providing additional information about this exception.

### NotYetInitializedException

    public NotYetInitializedException(Throwable nested)

  Constructs a `NotYetInitializedException` with a nested exception.

  Parameters:
    `nested` - a `Throwable` object to wrapper as part of this exception.

### NotYetInitializedException

    public NotYetInitializedException(String msg,
                                      Throwable nested)

  Constructs a `NotYetInitializedException` with a detail message and a nested exception.

  Parameters:
    `msg` - a String providing additional information about this exception.

    `nested` - a `Throwable` object to wrapper as part of this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD